#define YYEMPTY (-1)
#define L_EOS 257
#define L_ERROR 258
#define L_NUMBER 259
#define L_STRING 260
#define L_HNAME 261
#define L_KEYWORD 262
#define L_HEXSTRING 263
#define L_OCTETSTRING 264
#define T_DIRECT 265
#define T_INTERFACE 266
#define T_INTERFACES 267
#define T_LCLADDR 268
#define T_PROTO 269
#define T_METRIC 270
#define T_METRICIN 271
#define T_METRICOUT 272
#define T_INFINITY 273
#define T_DOWN 274
#define T_PARSE 275
#define T_ADV 276
#define T_DEFAULT 277
#define T_DEFAULTS 278
#define T_YYDEBUG 279
#define T_YYSTATE 280
#define T_YYQUIT 281
#define T_DEBUG 282
#define T_SYSLOG 283
#define T_UPTO 284
#define T_EMERG 285
#define T_ALERT 286
#define T_CRIT 287
#define T_ERR 288
#define T_WARNING 289
#define T_NOTICE 290
#define T_INFO 291
#define T_ON 292
#define T_OFF 293
#define T_GATEWAY 294
#define T_PREFERENCE 295
#define T_DEFAULTMETRIC 296
#define T_NONBROADCAST 297
#define T_BROADCAST 298
#define T_TYPE 299
#define T_POINTOPOINT 300
#define T_MULTICAST 301
#define T_NETMASK 302
#define T_DEFINE 303
#define T_NOP 304
#define T_NOP1 305
#define T_PEERAS 306
#define T_LOCALAS 307
#define T_NEIGHBOR 308
#define T_GROUP 309
#define T_NOGENDEFAULT 310
#define T_VERSION 311
#define T_DEFAULTIN 312
#define T_DEFAULTOUT 313
#define T_MAXUP 314
#define T_SOURCENET 315
#define T_PKTSIZE 316
#define T_P1 317
#define T_P2 318
#define T_BGP 319
#define T_HOLDTIME 320
#define T_TEST 321
#define T_KEEPALL 322
#define T_SENDBUF 323
#define T_RECVBUF 324
#define T_SPOOLBUF 325
#define T_EGP 326
#define T_ASPATH 327
#define T_ORIGIN 328
#define T_INCOMPLETE 329
#define T_ANY 330
#define T_TAG 331
#define T_TRUSTEDGATEWAYS 332
#define T_SOURCEGATEWAYS 333
#define T_RIP 334
#define T_NORIPOUT 335
#define T_NORIPIN 336
#define T_NOCHECKZERO 337
#define T_OSPF 338
#define T_OSPF_ASE 339
#define T_NETWORKS 340
#define T_BACKBONE 341
#define T_VIRTUALLINK 342
#define T_STUB 343
#define T_STUBHOSTS 344
#define T_RXMITINTERVAL 345
#define T_INFTRANSDELAY 346
#define T_POLLINTERVAL 347
#define T_ROUTERS 348
#define T_NEIGHBORID 349
#define T_TRANSITAREA 350
#define T_ENABLE 351
#define T_DISABLE 352
#define T_ELIGIBLE 353
#define T_MONITORAUTHKEY 354
#define T_DD 355
#define T_REQUEST 356
#define T_LSU 357
#define T_ACK 358
#define T_RECEIVE 359
#define T_LSA_BLD 360
#define T_LSA_RX 361
#define T_LSA_TX 362
#define T_TRAP 363
#define T_EXPORTINTERVAL 364
#define T_EXPORTLIMIT 365
#define T_FIRST 366
#define T_EVERY 367
#define T_AREA 368
#define T_SPF 369
#define T_HELLO 370
#define T_HELLOINTERVAL 371
#define T_ROUTERDEADINTERVAL 372
#define T_PRIORITY 373
#define T_REDIRECT 374
#define T_NOREDIRECTS 375
#define T_ICMP 376
#define T_AUTHTYPE 377
#define T_AUTHKEY 378
#define T_NONE 379
#define T_SIMPLE 380
#define T_AUTH 381
#define T_PASSIVE 382
#define T_SIMPLEX 383
#define T_STRICTIFS 384
#define T_SCANINTERVAL 385
#define T_STATIC 386
#define T_MARTIANS 387
#define T_RETAIN 388
#define T_EXPORT 389
#define T_IMPORT 390
#define T_HOST 391
#define T_MASK 392
#define T_MASKLEN 393
#define T_REJECT 394
#define T_BLACKHOLE 395
#define T_RESTRICT 396
#define T_ALLOW 397
#define T_AS 398
#define T_ROUTERID 399
#define T_IGP 400
#define T_OPTIONS 401
#define T_NOINSTALL 402
#define T_NOSEND 403
#define T_NORESOLV 404
#define T_TRACEOPTIONS 405
#define T_EXCEPT 406
#define T_TRACEFILE 407
#define T_REPLACE 408
#define T_SIZE 409
#define T_FILES 410
#define T_K 411
#define T_M 412
#define T_ALL 413
#define T_GENERAL 414
#define T_INTERNAL 415
#define T_EXTERNAL 416
#define T_ROUTE 417
#define T_UPDATE 418
#define T_KERNEL 419
#define T_TASK 420
#define T_TIMER 421
#define T_NOSTAMP 422
#define T_MARK 423
#define T_INET 424
#define T_GENDEFAULT 425
typedef union {
    long	num;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
#endif	/* PROTO_OSPF */
#if	defined(PROTO_ASPATHS)
    asmatch_t	*asp_match;
    struct {
	u_short	begin;
	u_short end;
    } asp_range;
    struct {
	flag_t	start[1 + ASP_ACC/ASP_WORD];
	flag_t	state[1 + ASP_ACC/ASP_WORD];
    } asp_stack;
#endif	/* PROTO_ASPATHS */
#endif	/* GATED_LEXER */
} YYSTYPE;
extern YYSTYPE yylval;
